Subject: Re: [PATCH v2 -mm 5/9] netconsole: Introduce netconsole_target

From: KII Keiichi <[email-masked]>
Date: Fri, 13 Jul 2007 22:46:19 +0900

Hi Satyam,

> From: Satyam Sharma <[email-masked]>
> 
> [5/9] netconsole: Introduce netconsole_target
> 
> Introduce a wrapper structure over netpoll to represent logging targets
> configured in netconsole. This will get extended with other members in
> further patches.
> 
> The original patchset did this along with (and inside the #ifdef) of
> CONFIG_NETCONSOLE_DYNAMIC itself. I decided otherwise, and was able to
> drastically cut down on the #ifdef-complexity of final netconsole.c.
> Also, struct netconsole_target would be required for multiple targets
> support also, and not just dynamic reconfigurability. Previously these
> two things were coupled, but I want to de-link that (more on this later).
> 
> Note that this patch in itself looks quite redundant / stupid, but it is
> purposefully made this way, so further patches are more readable.
> 
> Signed-off-by: Satyam Sharma <[email-masked]>
> Cc: Keiichi Kii <[email-masked]>
> 
Signed-off-by: Keiichi Kii <[email-masked]>

Thanks
--
Keiichi KII
NEC Corporation OSS Platform Development Division
E-mail: [email-masked]